Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMpeerSupportLite

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite

All Implemented Interfaces:
  OCMpeer

Direct Known Subclasses:
  OCMrootPeerSupportLite, QCabstract, QCAbstract, QCAttributes, QCbean, QCBean, QCDefault, QCElements, QCexcludes, QCinclude, QCinterface, QCInterface, QCInterface, QCItem, QClink, QCSelection, QCSequence, QCtext, QCText

public abstract class OCMpeerSupportLite
extends Object
implements OCMpeer

Provides the functionality for the conversion.

Field Summary
`OCMcontext` | `context` The conversion context.
`Object` | `dataModel` The data model object paired to this peer.
`Map` | `paramMap` Parameter data from the .util or .ocm file.
`OCMpeer` | `parent` The conversion peer parent.

Constructor Summary
`OCMpeerSupportLite()`

Method Summary
`abstract void` | `cvt(Object param)` Perform the conversion.
`void` | `doCvt(List l, Object param)` Convenience method for converting lists of data model objects.
`void` | `doCvt(Map m, Object param)` Convenience method for converting maps of data model objects.
`void` | `doCvt(Object dm, Object param)` convenience method for converting other data model objects.
`void` | `init(Object dataModel, OCMcontext context, OCMpeer parent, Map paramMap)` Initialize the peer object.
`OCMpeer` | `peer(Object dm)` Convenience method for retrieving another peer object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataModel

    public Object dataModel

  The data model object paired to this peer.

### context

    public OCMcontext context

  The conversion context.

### parent

    public OCMpeer parent

  The conversion peer parent.

### paramMap

    public Map paramMap

  Parameter data from the .util or .ocm file.

Constructor Detail

### OCMpeerSupportLite

    public OCMpeerSupportLite()

Method Detail

### init

    public final void init(Object dataModel,
                           OCMcontext context,
                           OCMpeer parent,
                           Map paramMap)
                    throws SAXException,
                           IOException

  Description copied from interface: `OCMpeer`
  Initialize the peer object.
  Specified by:
    `init` in interface `OCMpeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMpeer`
  Parameters:
    `dataModel` - The data model object paired to this peer.
    `context` - The conversion context.
    `parent` - The peer object of the parent of the data model object.
    `paramMap` - Parameter data from the .util or .ocm file.

### cvt

    public abstract void cvt(Object param)
                      throws SAXException,
                             IOException

  Description copied from interface: `OCMpeer`
  Perform the conversion.
  Specified by:
    `cvt` in interface `OCMpeer`

### peer

    public OCMpeer peer(Object dm)
                 throws SAXException,
                        IOException

  Convenience method for retrieving another peer object.

### doCvt

    public void doCvt(Object dm,
                      Object param)
               throws SAXException,
                      IOException

  convenience method for converting other data model objects.

### doCvt

    public void doCvt(List l,
                      Object param)
               throws SAXException,
                      IOException

  Convenience method for converting lists of data model objects.

### doCvt

    public void doCvt(Map m,
                      Object param)
               throws SAXException,
                      IOException

  Convenience method for converting maps of data model objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD